opencv: /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp File Reference

Classes | Namespaces | Typedefs | Functions

# /usr/ports/pobj/OpenCV-2.2.0/OpenCV-2.2.0/modules/features2d/include/opencv2/features2d/features2d.hpp File Reference

Go to the source code of this file.

## Classes
struct | cv::Accumulator< T >
struct | cv::Accumulator< char >
struct | cv::Accumulator< short >
struct | cv::Accumulator< unsigned char >
struct | cv::Accumulator< unsigned short >
class | cv::AdjusterAdapter
| A feature detector parameter adjuster, this is used by the DynamicAdaptedFeatureDetector and is a wrapper for FeatureDetector that allow them to be adjusted after a detection. More...
struct | cv::BaseKeypoint
class | cv::BOWImgDescriptorExtractor
class | cv::BOWKMeansTrainer
class | cv::BOWTrainer
class | cv::BriefDescriptorExtractor
class | cv::BruteForceMatcher< Distance >
class | cv::CalonderDescriptorExtractor< T >
struct | cv::SIFT::CommonParams
class | cv::CvAffinePose
struct | CvMSERParams
struct | CvStarDetectorParams
struct | CvStarKeypoint
struct | CvSURFParams
struct | CvSURFPoint
struct | cv::DefaultRngAuto
class | cv::DenseFeatureDetector
class | cv::DescriptorMatcher::DescriptorCollection
class | cv::DescriptorExtractor
class | cv::DescriptorMatcher
struct | cv::SIFT::DescriptorParams
struct | cv::SIFT::DetectorParams
struct | cv::DMatch
struct | cv::DrawMatchesFlags
class | cv::DynamicAdaptedFeatureDetector
| an adaptively adjusting detector that iteratively detects until the desired number of features are detected. Beware that this is not thread safe - as the adjustment of parameters breaks the const of the detection routine... /TODO Make this const correct and thread safe More...
class | cv::FastAdjuster
| an adjust for the FAST detector. This will basically decrement or increment the threshhold by 1 More...
class | cv::FastFeatureDetector
struct | cv::FernClassifier::Feature
class | cv::FeatureDetector
class | cv::FernClassifier
class | cv::FernDescriptorMatcher
class | cv::FlannBasedMatcher
class | cv::GenericDescriptorMatcher
class | cv::GoodFeaturesToTrackDetector
class | cv::GridAdaptedFeatureDetector
struct | cv::Hamming
struct | cv::HammingLUT
class | cv::KeyPoint
class | cv::GenericDescriptorMatcher::KeyPointCollection
struct | cv::L1< T >
struct | cv::L2< T >
class | cv::LDetector
class | cv::MSER
class | cv::MserFeatureDetector
class | cv::OneWayDescriptor
class | cv::OneWayDescriptorBase
class | cv::OneWayDescriptorMatcher
class | cv::OneWayDescriptorObject
class | cv::OpponentColorDescriptorExtractor
class | cv::FernDescriptorMatcher::Params
class | cv::OneWayDescriptorMatcher::Params
class | cv::DenseFeatureDetector::Params
class | cv::GoodFeaturesToTrackDetector::Params
class | cv::PatchGenerator
class | cv::PlanarObjectDetector
class | cv::PyramidAdaptedFeatureDetector
class | cv::RandomizedTree
class | cv::RTreeClassifier
struct | cv::RTreeNode
class | cv::SIFT
class | cv::SiftDescriptorExtractor
class | cv::SiftFeatureDetector
class | cv::StarAdjuster
class | cv::StarDetector
class | cv::StarFeatureDetector
class | cv::SURF
class | cv::SurfAdjuster
class | cv::SurfDescriptorExtractor
class | cv::SurfFeatureDetector
class | cv::VectorDescriptorMatcher
## Namespaces
namespace | cv
## Typedefs
typedef struct CvMSERParams | CvMSERParams
typedef struct CvStarDetectorParams | CvStarDetectorParams
typedef struct CvStarKeypoint | CvStarKeypoint
typedef struct CvSURFParams | CvSURFParams
typedef struct CvSURFPoint | CvSURFPoint
typedef FernDescriptorMatcher | cv::FernDescriptorMatch
typedef GenericDescriptorMatcher | cv::GenericDescriptorMatch
typedef OneWayDescriptorMatcher | cv::OneWayDescriptorMatch
typedef VectorDescriptorMatcher | cv::VectorDescriptorMatch
typedef LDetector | cv::YAPE
## Functions
void | cv::computeRecallPrecisionCurve (const vector< vector< DMatch > > &matches1to2, const vector< vector< uchar > > &correctMatches1to2Mask, vector< Point2f > &recallPrecisionCurve)
void | cvExtractMSER (CvArr *_img, CvArr *_mask, CvSeq **contours, CvMemStorage *storage, CvMSERParams params)
void | cvExtractSURF (const CvArr *img, const CvArr *mask, CvSeq **keypoints, CvSeq **descriptors, CvMemStorage *storage, CvSURFParams params, int useProvidedKeyPts CV_DEFAULT(0))
CvSeq * | cvGetStarKeypoints (const CvArr *img, CvMemStorage *storage, CvStarDetectorParams params CV_DEFAULT(cvStarDetectorParams()))
CvMSERParams | cvMSERParams (int delta CV_DEFAULT(5), int min_area CV_DEFAULT(60), int max_area CV_DEFAULT(14400), float max_variation CV_DEFAULT(.25f), float min_diversity CV_DEFAULT(.2f), int max_evolution CV_DEFAULT(200), double area_threshold CV_DEFAULT(1.01), double min_margin CV_DEFAULT(.003), int edge_blur_size CV_DEFAULT(5))
CV_INLINE CvStarDetectorParams | cvStarDetectorParams (int maxSize CV_DEFAULT(45), int responseThreshold CV_DEFAULT(30), int lineThresholdProjected CV_DEFAULT(10), int lineThresholdBinarized CV_DEFAULT(8), int suppressNonmaxSize CV_DEFAULT(5))
CV_INLINE CvStarKeypoint | cvStarKeypoint (CvPoint pt, int size, float response)
CvSURFParams | cvSURFParams (double hessianThreshold, int extended CV_DEFAULT(0))
CV_INLINE CvSURFPoint | cvSURFPoint (CvPoint2D32f pt, int laplacian, int size, float dir CV_DEFAULT(0), float hessian CV_DEFAULT(0))
void | cv::drawKeypoints (const Mat &image, const vector< KeyPoint > &keypoints, Mat &outImg, const Scalar &color=Scalar::all(-1), int flags=DrawMatchesFlags::DEFAULT)
void | cv::drawMatches (const Mat &img1, const vector< KeyPoint > &keypoints1, const Mat &img2, const vector< KeyPoint > &keypoints2, const vector< vector< DMatch > > &matches1to2, Mat &outImg, const Scalar &matchColor=Scalar::all(-1), const Scalar &singlePointColor=Scalar::all(-1), const vector< vector< char > > &matchesMask=vector< vector< char > >(), int flags=DrawMatchesFlags::DEFAULT)
void | cv::drawMatches (const Mat &img1, const vector< KeyPoint > &keypoints1, const Mat &img2, const vector< KeyPoint > &keypoints2, const vector< DMatch > &matches1to2, Mat &outImg, const Scalar &matchColor=Scalar::all(-1), const Scalar &singlePointColor=Scalar::all(-1), const vector< char > &matchesMask=vector< char >(), int flags=DrawMatchesFlags::DEFAULT)
void | cv::evaluateFeatureDetector (const Mat &img1, const Mat &img2, const Mat &H1to2, vector< KeyPoint > *keypoints1, vector< KeyPoint > *keypoints2, float &repeatability, int &correspCount, const Ptr< FeatureDetector > &fdetector=Ptr< FeatureDetector >())
void | cv::evaluateGenericDescriptorMatcher (const Mat &img1, const Mat &img2, const Mat &H1to2, vector< KeyPoint > &keypoints1, vector< KeyPoint > &keypoints2, vector< vector< DMatch > > *matches1to2, vector< vector< uchar > > *correctMatches1to2Mask, vector< Point2f > &recallPrecisionCurve, const Ptr< GenericDescriptorMatcher > &dmatch=Ptr< GenericDescriptorMatcher >())
void | cv::FAST (const Mat &image, CV_OUT vector< KeyPoint > &keypoints, int threshold, bool nonmaxSupression=true)
| detects corners using FAST algorithm by E. Rosten
uchar * | cv::getData (IplImage *image)
float | cv::getRecall (const vector< Point2f > &recallPrecisionCurve, float l_precision)
void | cv::read (const FileNode &node, CV_OUT vector< KeyPoint > &keypoints)
| reads vector of keypoints from the specified file storage node
Mat | cv::windowedMatchingMask (const vector< KeyPoint > &keypoints1, const vector< KeyPoint > &keypoints2, float maxDeltaX, float maxDeltaY)
void | cv::write (FileStorage &fs, const string &name, const vector< KeyPoint > &keypoints)
| writes vector of keypoints to the file storage

## Typedef Documentation

typedef struct CvMSERParams CvMSERParams

Maximal Stable Regions Parameters

typedef struct CvStarDetectorParams CvStarDetectorParams

typedef struct CvStarKeypoint CvStarKeypoint

typedef struct CvSURFParams CvSURFParams

typedef struct CvSURFPoint CvSURFPoint

## Function Documentation

void cvExtractMSER | ( | CvArr * | _img,
|  | CvArr * | _mask,
|  | CvSeq ** | contours,
|  | CvMemStorage * | storage,
|  | CvMSERParams | params
| ) |  |

void cvExtractSURF | ( | const CvArr * | img,
|  | const CvArr * | mask,
|  | CvSeq ** | keypoints,
|  | CvSeq ** | descriptors,
|  | CvMemStorage * | storage,
|  | CvSURFParams | params,
|  | int useProvidedKeyPts | CV_DEFAULT0
| ) |  |

CvSeq* cvGetStarKeypoints | ( | const CvArr * | img,
|  | CvMemStorage * | storage,
|  | CvStarDetectorParams params | CV_DEFAULTcvStarDetectorParams()
| ) |  |

CvMSERParams cvMSERParams | ( | int delta | CV_DEFAULT5,
|  | int min_area | CV_DEFAULT60,
|  | int max_area | CV_DEFAULT14400,
|  | float max_variation | CV_DEFAULT.25f,
|  | float min_diversity | CV_DEFAULT.2f,
|  | int max_evolution | CV_DEFAULT200,
|  | double area_threshold | CV_DEFAULT1.01,
|  | double min_margin | CV_DEFAULT.003,
|  | int edge_blur_size | CV_DEFAULT5
| ) |  |

CV_INLINE CvStarDetectorParams cvStarDetectorParams | ( | int maxSize | CV_DEFAULT45,
|  | int responseThreshold | CV_DEFAULT30,
|  | int lineThresholdProjected | CV_DEFAULT10,
|  | int lineThresholdBinarized | CV_DEFAULT8,
|  | int suppressNonmaxSize | CV_DEFAULT5
| ) |  |

CV_INLINE CvStarKeypoint cvStarKeypoint | ( | CvPoint | pt,
|  | int | size,
|  | float | response
| ) |  |

CvSURFParams cvSURFParams | ( | double | hessianThreshold,
|  | int extended | CV_DEFAULT0
| ) |  |

CV_INLINE CvSURFPoint cvSURFPoint | ( | CvPoint2D32f | pt,
|  | int | laplacian,
|  | int | size,
|  | float dir | CV_DEFAULT0,
|  | float hessian | CV_DEFAULT0
| ) |  |

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines